Bug 184591 - [exp-run]: Removal of lang/python as implicit dependency for USE_PYTHON
[exp-run]: Removal of lang/python as implicit dependency for USE_PYTHON
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Marcus von Appen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-08 13:50 UTC by Marcus von Appen
Modified: 2013-12-18 18:37 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus von Appen freebsd_committer 2013-12-08 13:50:00 UTC
	lang/python has to vanish as RUN_DEPENDS  and BUILD_DEPENDS from
    bsd.python.mk to allow clean package builds for different python
    versions. The patch below requires an exp-run to fix the direct or
    indirect usage of `python` and build or installation time of ports.

Fix: 

.if ${PYTHON_NO_DEPENDS} == "NO"
 .if defined(USE_PYTHON_BUILD)
-BUILD_DEPENDS+=	${PYTHON_CMD}:${PYTHON_PORTSDIR} \
-				python:${PORTSDIR}/lang/python
+BUILD_DEPENDS+=	${PYTHON_CMD}:${PYTHON_PORTSDIR}
 .if defined(_WANTS_META_PORT)
 BUILD_DEPENDS+=	python${_WANTS_META_PORT}:${PORTSDIR}/lang/python${_WANTS_META_PORT}
 .endif
 .endif
 .if defined(USE_PYTHON_RUN)
-RUN_DEPENDS+=	${PYTHON_CMD}:${PYTHON_PORTSDIR} \
-				python:${PORTSDIR}/lang/python
+RUN_DEPENDS+=	${PYTHON_CMD}:${PYTHON_PORTSDIR}
 .if defined(_WANTS_META_PORT)
 RUN_DEPENDS+=	python${_WANTS_META_PORT}:${PORTSDIR}/lang/python${_WANTS_META_PORT}
 .endif--6ZSqGpsryQGmS3j70ymVp736rQyvaR2GiJPOtZD3H7ArKVxK
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Mk/bsd.python.mk
===================================================================
--- Mk/bsd.python.mk	(revision 335877)
+++ Mk/bsd.python.mk	(working copy)
@@ -578,15 +578,13 @@
How-To-Repeat: 	n/a
Comment 1 Edwin Groothuis freebsd_committer 2013-12-08 13:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Marcus von Appen freebsd_committer 2013-12-08 14:02:12 UTC
Responsible Changed
From-To: freebsd-python->portmgr

exp-runs are to be done by portmgr
Comment 3 Bryan Drewery freebsd_committer 2013-12-10 12:56:05 UTC
Responsible Changed
From-To: portmgr->bdrewery

take for exp-run
Comment 4 Bryan Drewery freebsd_committer 2013-12-12 12:27:35 UTC
Responsible Changed
From-To: bdrewery->mva

exp-run done
Comment 5 Bryan Drewery freebsd_committer 2013-12-12 12:28:54 UTC
exp-run done.

The server the logs are on is having networking issues so you may be
unable to fetch them for now. I have alerted clusteradm. I looked
through a few and they are getting 'python: not found'.

http://package21.nyi.freebsd.org/bulk/91amd64-default-pr_184591/2013-12-11_13h04m41s

new failures:

> + {"origin"=>"biology/fasta3", "pkgname"=>"fasta3-36.3.6d", "phase"=>"fetch", "errortype"=>"fetch"}
> + {"origin"=>"databases/percona55-client", "pkgname"=>"percona55-client-5.5.34.32.0", "phase"=>"fetch", "errortype"=>"fetch"}
> + {"origin"=>"databases/percona56-client", "pkgname"=>"percona56-client-5.6.14.r62.0", "phase"=>"fetch", "errortype"=>"fetch"}
> + {"origin"=>"databases/postgresql-libpqxx3", "pkgname"=>"postgresql-libpqxx3-3.1.1", "phase"=>"build", "errortype"=>"makefile"}
> + {"origin"=>"deskutils/semantik", "pkgname"=>"semantik-0.8.4", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"devel/kdevplatform", "pkgname"=>"kdevplatform-1.5.2", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"devel/libredblack", "pkgname"=>"libredblack-1.3_1", "phase"=>"package", "errortype"=>"cluster"}
> + {"origin"=>"devel/llvm32", "pkgname"=>"llvm32-3.2_2", "phase"=>"build", "errortype"=>"gcc4_error"}
> + {"origin"=>"emulators/mess", "pkgname"=>"mess-0.150_1", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"emulators/seabios-devel", "pkgname"=>"seabios-devel-1.6.3.1", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"emulators/virtualbox-ose", "pkgname"=>"virtualbox-ose-4.2.20", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"emulators/virtualbox-ose-legacy", "pkgname"=>"virtualbox-ose-legacy-4.1.24_1", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"french/tvdownloader", "pkgname"=>"fr-tvdownloader-0.7.2_4", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"games/battletanks", "pkgname"=>"btanks-0.9.8083_6", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"games/liquidwar", "pkgname"=>"liquidwar-5.6.4_3", "phase"=>"install", "errortype"=>"cluster"}
> + {"origin"=>"games/pykawari", "pkgname"=>"pykawari-8.2.8_4", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"games/starfighter", "pkgname"=>"starfighter-1.2_1", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"games/teeworlds", "pkgname"=>"teeworlds-0.6.2", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"graphics/jogamp-jogl", "pkgname"=>"jogamp-jogl-2.0.20100914", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"graphics/kipi-plugin-kioexport", "pkgname"=>"kipi-plugin-kioexport-3.2.0", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"graphics/lcms-python", "pkgname"=>"lcms-python-1.19", "phase"=>"install", "errortype"=>"install_error"}
> + {"origin"=>"graphics/lensfun", "pkgname"=>"lensfun-0.2.7", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"graphics/libosmesa", "pkgname"=>"libosmesa-9.2.3", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"graphics/nathive", "pkgname"=>"nathive-0.924", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"graphics/opencolorio", "pkgname"=>"opencolorio-1.0.8_2", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"graphics/oyranos", "pkgname"=>"oyranos-0.9.4_1", "phase"=>"build", "errortype"=>"coredump"}
> + {"origin"=>"graphics/pecomato", "pkgname"=>"pecomato-0.0.15", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"japanese/mozc-server", "pkgname"=>"ja-mozc-server-1.11.1502.102", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"java/java3d", "pkgname"=>"java3d-1.5.2_2", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"java/jboss72", "pkgname"=>"jboss72-7.2.0_1", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"lang/tinypy", "pkgname"=>"tinypy-1.1", "phase"=>"install", "errortype"=>"install_error"}
> + {"origin"=>"lang/x10", "pkgname"=>"x10-2.2.1", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"math/biggles", "pkgname"=>"biggles-1.6.6_2", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"math/petsc", "pkgname"=>"petsc-2.3.3.p0_8,1", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"misc/cuecat", "pkgname"=>"cuecat-1.1_4", "phase"=>"install", "errortype"=>"cluster"}
> + {"origin"=>"misc/pylize", "pkgname"=>"pylize-1.3.b_3", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"net-im/cjc", "pkgname"=>"cjc-1.2.1", "phase"=>"install", "errortype"=>"cluster"}
> + {"origin"=>"net-im/telepathy-idle", "pkgname"=>"telepathy-idle-0.1.11", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"net-mgmt/wmi-client", "pkgname"=>"wmi-client-1.3.16", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"net/mpich2", "pkgname"=>"mpich2-1.3.2.p1_2,5", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"net/neubot", "pkgname"=>"neubot-0.4.16.9", "phase"=>"stage", "errortype"=>"cluster"}
> + {"origin"=>"net/py-pypcap", "pkgname"=>"py27-pypcap-1.1_4", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"net/rabbitmq", "pkgname"=>"rabbitmq-3.1.5", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"net/rabbitmq-c", "pkgname"=>"rabbitmq-c-0.0.1_1", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"net/rabbitmq-c-devel", "pkgname"=>"rabbitmq-c-devel-0.0.1_2", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"net/samba4", "pkgname"=>"samba4-4.0.13", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"net/xorp-devel", "pkgname"=>"xorp-devel-2009120801_2", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"science/abinit", "pkgname"=>"abinit-5.7.3_12", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"security/cfv", "pkgname"=>"cfv-1.18.3", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"security/py-pyme", "pkgname"=>"py27-pyme-0.8.1_5", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"shells/jailkit", "pkgname"=>"jailkit-2.15", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"sysutils/epylog", "pkgname"=>"epylog-1.0.3_2", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"sysutils/slurm-hpc", "pkgname"=>"slurm-hpc-2.6.4", "phase"=>"build", "errortype"=>"termios"}
> + {"origin"=>"sysutils/x86info", "pkgname"=>"x86info-1.30", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"sysutils/xen-tools", "pkgname"=>"xen-tools-4.1.3_3", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"sysutils/zeitgeist", "pkgname"=>"zeitgeist-0.8.2_1", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"textproc/py-pyx12", "pkgname"=>"py27-pyx12-1.5.0", "phase"=>"install", "errortype"=>"cluster"}
> + {"origin"=>"textproc/py-tvgrab", "pkgname"=>"py27-TVGrab-0.5.1_3", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"textproc/queequeg", "pkgname"=>"queequeg-0.91_1", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"textproc/rubber", "pkgname"=>"rubber-1.1_4", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"textproc/xqilla", "pkgname"=>"xqilla-2.3.0_1,1", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
> + {"origin"=>"www/mod_pagespeed", "pkgname"=>"mod_pagespeed-1.2.24.2_1,1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"www/node", "pkgname"=>"node-0.10.22", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"www/node-devel", "pkgname"=>"node-devel-0.11.8", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"www/py-webware", "pkgname"=>"py27-webware-1.1.1", "phase"=>"install", "errortype"=>"cluster"}
> + {"origin"=>"www/webkit-gtk3", "pkgname"=>"webkit-gtk3-1.8.3_1", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"x11-fm/twander", "pkgname"=>"twander-3.231_1", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"x11-wm/awesome2", "pkgname"=>"awesome2-2.3.6_4", "phase"=>"build", "errortype"=>"makefile"}
> + {"origin"=>"x11-wm/ede", "pkgname"=>"ede-2.0_2", "phase"=>"build", "errortype"=>"cluster"}




-- 
Regards,
Bryan Drewery
Comment 6 Marcus von Appen freebsd_committer 2013-12-15 21:45:48 UTC
On, Thu Dec 12, 2013, Bryan Drewery wrote:

> exp-run done.
>
> The server the logs are on is having networking issues so you may be
> unable to fetch them for now. I have alerted clusteradm. I looked
> through a few and they are getting 'python: not found'.
>
> http://package21.nyi.freebsd.org/bulk/91amd64-default-pr_184591/2013-12-11_13h04m41s
>
[...]

We should have fixed most of the issues related to the change. Can you
please run it again, so we can check the skipped ones?

Thanks a lot!
Marcus
Comment 7 Bryan Drewery freebsd_committer 2013-12-16 02:37:09 UTC
Responsible Changed
From-To: mva->bdrewery

take for another exp-run
Comment 8 Bryan Drewery freebsd_committer 2013-12-17 01:50:22 UTC
Latest results have these new failures:

http://package20.nyi.freebsd.org/bulk/91amd64-default-pr_184591/2013-12-16_02h38m39s

> + {"origin"=>"audio/mp3splt-gtk", "pkgname"=>"mp3splt-gtk-0.8.2", "phase"=>"package", "errortype"=>"cluster"}
> + {"origin"=>"biology/fasta3", "pkgname"=>"fasta3-36.3.6d", "phase"=>"fetch", "errortype"=>"fetch"}
> + {"origin"=>"comms/gnuradio", "pkgname"=>"gnuradio-3.6.5_2", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"databases/percona55-client", "pkgname"=>"percona55-client-5.5.34.32.0", "phase"=>"fetch", "errortype"=>"fetch"}
> + {"origin"=>"databases/percona56-client", "pkgname"=>"percona56-client-5.6.14.r62.0", "phase"=>"fetch", "errortype"=>"fetch"}
> + {"origin"=>"games/liquidwar", "pkgname"=>"liquidwar-5.6.4_3", "phase"=>"install", "errortype"=>"cluster"}
> + {"origin"=>"java/jboss72", "pkgname"=>"jboss72-7.2.0_1", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
> + {"origin"=>"net-im/kopete-kde4", "pkgname"=>"kopete-4.10.5_1", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"net/p5-Net-RabbitMQ", "pkgname"=>"p5-Net-RabbitMQ-0.2.0", "phase"=>"run-depends", "errortype"=>"cluster"}
> + {"origin"=>"science/ncs", "pkgname"=>"ncs-2.0.4_2", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"www/mod_spdy", "pkgname"=>"mod_spdy-0.9.4.1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"www/py-webware", "pkgname"=>"py27-webware-1.1.1", "phase"=>"install", "errortype"=>"cluster"}



Most look unrelated but the py ones perhaps. Approved once you feel it
is ready.

-- 
Regards,
Bryan Drewery
Comment 9 Bryan Drewery freebsd_committer 2013-12-17 01:50:44 UTC
Responsible Changed
From-To: bdrewery->mva

back to mva
Comment 10 Marcus von Appen freebsd_committer 2013-12-18 18:37:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!